<?php

defined('JPATH_PLATFORM') or die;
jimport('joomla.form.formfield');

class JFormFieldJlmscolor extends JFormField
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  11.3
     */
    protected $type = 'Color';

    /**
     * Method to get the field input markup.
     *
     * @return  string  The field input markup.
     *
     * @since   11.3
     */
    protected function getInput()
    {
        $idParts = explode('_', $this->id);
        $this->id = $idParts[count($idParts)-1];

        ob_start();
        include 'jlmscolor.template.php';
        $content = ob_get_contents();
        ob_end_clean();

        return $content;
    }
}
