<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * 
 */

namespace LMS\Libraries\Repository;
 
defined('_JEXEC') or die;

use LMS\Libraries\Base;

/** 
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * @since       3.1
 */
	
class PageNotice extends Base\Repository 
{
	protected $id;
		
	public function __construct($options=array())
	{
		parent::__construct($options);
		$this->table = new Tables\PageNotices($this->db);
	}

	public function userNotesCount($userId, $courseId, $task, $id) 
	{
		$query = $this->db->getQuery(true);
		
		$query->from($this->table);
		$query->select('COUNT(pagenote.id)');		
		$query->where('pagenote.user_id = '.$this->db->quote($userId)); 
		$query->where('pagenote.course_id = '.$this->db->quote($courseId)); 
		$query->where('pagenote.task = '.$this->db->quote($task)); 
		$query->where('doc_id = '.$this->db->quote($id));	
		
		$this->db->setQuery($query);		
		
		return $this->db->loadResult();
	}	
}
