<?php
/**
 * User: nester_a
 * Date: 07.10.13
 */

namespace LMS\Tools\Conference\Abstracted;

jimport('joomla.plugin.plugin');

abstract class Plugin extends \JPlugin
{
    protected $diContainer;
    protected $eventParams;
    protected $renderParams = array();
    protected $dir;


    public abstract function onConferenceStartPage($diContainer);
    public abstract function onConferenceEnterRoom($diContainer);

    public abstract function onConferenceUserAccess($diContainer);
    public abstract function onConferenceSaveUserAccess($diContainer);
    public abstract function onConferenceDeleteUser($diContainer);

    public abstract function onConferenceShowArchive($diContainer);
    public abstract function onConferenceStartRecord($diContainer);
    public abstract function onConferenceEditRecord($diContainer);
    public abstract function onConferenceChangeRecord($diContainer);
    public abstract function onConferenceSaveRecord($diContainer);
    public abstract function onConferenceDeleteRecord($diContainer);

    public abstract function onConferenceShowBooking($diContainer);
    public abstract function onConferenceNewBooking($diContainer);
    public abstract function onConferenceEditBooking($diContainer);
    public abstract function onConferenceUpdateBooking($diContainer);
    public abstract function onConferenceSaveBooking($diContainer);
    public abstract function onConferenceDeleteBooking($diContainer);
	public abstract function onConferenceViewBooking($diContainer);

    protected abstract function _getParamsStartPage($diContainer);
    protected abstract function _getParamsEnterRoom($diContainer);
}