<?php
/**
 * User: nester_a
 * Date: 30.10.13
 */

namespace LMS\Tools\Conference\Repositories;

use LMS\Tools\Conference\Table;
use LMS\Libraries\Base;

class Doc extends Base\Repository
{

    protected $fieldMap = array(
        'id' => 'dic_id',
        'courseID' => 'course_id',
        'user_id' => 'owner_id',
        'upload_type' => 'upload_type',
        'filename' => 'filename',
        'file_id' => 'file_id',
    );


	public function __construct($options)
	{
		parent::__construct($options);
		$this->table = new Table\Doc();
	}

    /**
     * Delete file from file table in LMS db
     *
     * @param int $fileID
     */
    public function deleteFileFromLMS($fileID)
    {
        $query = "DELETE FROM #__lms_files WHERE id = ".$fileID;
        $this->db-> setQuery($query);
        return $this->db->query();
    }

    /**
     * Delete document from documenet table in LMS db
     *
     * @param int $courseID
     * @param int $fileID
     */
    public function deleteFileFromConference($courseID, $fileID)
    {
        $query = "DELETE FROM #__lms_conference_doc WHERE course_id = '$courseID' AND file_id = $fileID";
        $this->db->setQuery($query);
        return $this->db->query();
    }

    /**
     *
     */
    public function getCourseDocumentByID($courseID, $fileID)
    {
        $query = "SELECT * FROM #__lms_conference_doc WHERE course_id=$courseID AND file_id=$fileID";
        $this->db->setQuery($query);
        return $this->db->loadObject();
    }

}