<?php
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

JHtml::_('bootstrap.popover');
?>
<h2><?php echo JText::_('Modules')?></h2>
<ul id="new-modules-list" class="list list-striped">
	<?php foreach ($this->items as &$item) : ?>
		<?php
		// Prepare variables for the link.

		$link	= 'index.php?option=com_joomla_lms&task=coursebuilder.module.add';
		$link	.= '&course_id='. $this->course_id;
		$link	.= '&position='. $this->position;
		$link	.= '&jextid='. $item->extension_id;
		$link	.= '&Itemid='. $this->Itemid;

		$name	= $this->escape($item->name);
		$desc	= JHTML::_('string.truncate', ($this->escape($item->desc)), 200);
		$short_desc	= JHTML::_('string.truncate', ($this->escape($item->desc)), 90);
		?>
		<?php if ($this->doc->direction != "rtl") : ?>
			<li>
				<a href="<?php echo JRoute::_($link);?>">
					<strong><?php echo $name; ?></strong>
				</a>
				<small class="hasPopover" data-placement="right" title="<?php echo $name; ?>" data-content="<?php echo $desc; ?>"><?php echo $short_desc; ?></small>
			</li>
		<?php else : ?>
			<li>
				<small rel="popover" data-placement="left" title="<?php echo $name; ?>" data-content="<?php echo $desc; ?>"><?php echo $short_desc; ?></small>
				<a href="<?php echo JRoute::_($link);?>">
					<strong><?php echo $name; ?></strong>
				</a>
			</li>
		<?php endif?>
	<?php endforeach; ?>
</ul>
<div class="clr"></div>
