<?php
/**
 * User: nester_a
 * Date: 20.06.14
 */

namespace LMS\Libraries;

class Language
{
	/**
	 * @var \JLMS_Config
	 */
	private $config;
	private $language;

	private static $instance = null;

	private function __construct()
	{
		global $JLMS_LANGUAGE;
		$this->language = $JLMS_LANGUAGE;

		$this->config = \JLMSFactory::getConfig();
	}

	/**
	 * @return Language
	 */
	public static function getInstance()
	{
		if(is_null(self::$instance)){
			self::$instance = new Language();
		}

		return self::$instance;
	}

	public function process($tool)
	{
		//TODO : need to be refactored


		JLMS_require_lang($this->language, array($tool.'.lang'), $this->config->get('default_language'));
		JLMS_processLanguage( $this->language );
	}
}