<?php
namespace LMS\Tools\Coursebuilder\Controllers;

use LMS\Libraries\Base;

defined('_JEXEC') or die;

class Modules extends Base\Controller
{
	public function __construct($config=array())
	{
		parent::__construct($config);
	}

	public function show()
	{
		$Itemid = $this->input->get('Itemid', 0);
		$courseId = $this->input->get('course_id', 0);
		$position = $this->input->get('position', 0);

		$modulesModel = $this->getModel('Modules');
		$modulesModel->setState('courseId', $courseId);
		$modulesModel->setState('position', $position);

		$modulesModel->setState('type', 'module');
		$modulesModel->setState('clientId', 0);
		$modulesModel->setState('enabled', 1);

		$this->populateModel($modulesModel);

		$view = $this->getView('Modules');
		if($Itemid){ $view->Itemid = $Itemid; }

		$view->setModel($modulesModel, true);

		$view->show();
	}

	public function saveOrderAjax()
	{
		$pks = $this->input->post->get('cid', array(), 'array');
		$order = $this->input->post->get('order', array(), 'array');

		\JArrayHelper::toInteger($pks);
		\JArrayHelper::toInteger($order);

		$modulesModel = $this->getModel('Modules');

		$return = $modulesModel->saveorder($pks, $order);

		if ($return) {
			echo '1';
		} else {
			echo '0';
		}

		$this->application->close();
	}
}